Subject: Re: [NSIS] IPR Disclosure: The Trustees of Columbia University in the City of New York's Statement about IPR related to draft-ietf-nsis-tunnel-13

From: Jukka Manner <[email-masked]>
Date: Fri, 03 Dec 2010 18:45:06 +0200

Dear all,

The authors of draft-ietf-nsis-tunnel have disclosed an IPR that affects 
the accepted, but not yet published, NSIS document.

We need guidance from the working group on how to proceed:

a) Do members of the WG accept those terms,
b) Do you want to redesign the protocol to work around the IPR,
c) Do you want to ask Columbia to modify the terms, or
d) Do we drop the document from the WG (authors can still pursue 
publications through the independent track)?

Items a) and d) let's us continue with the publication procedure (for 
item d) we just remove references to the work from the mobility 
applicability document). Items b) and c) will need considerable work and 
since the WG is closing, I would like to avoid them.

Please indicate your preference within two weeks, by Friday 17th at:

http://www.doodle.com/mb2gvfit64bnya99

Regards,
Jukka

On 12/03/2010 06:00 PM, IETF Secretariat wrote:
> Dear Charles Shen, Sung-Hyuck Lee, Henning Schulzrinne, Jong Bang:
>
> An IPR disclosure that pertains to your Internet-Draft entitled "NSIS Operation
> Over IP Tunnels" (draft-ietf-nsis-tunnel) was submitted to the IETF Secretariat
> on 2010-12-02 and has been posted on the "IETF Page of Intellectual Property
> Rights Disclosures" (https://datatracker.ietf.org/ipr/1456/). The title of the
> IPR disclosure is "The Trustees of Columbia University in the City of New York's
> Statement about IPR related to draft-ietf-nsis-tunnel-13."
>
> The IETF Secretariat
>
>

---

From: "James M. Polk" <[email-masked]>
Date: Fri, 03 Dec 2010 16:27:33 -0600

With respect, this is crazy.

11 months after the WGLC for this doc the authors submit an IPR 
statement?  This document has been a WG item since June 2006. Exactly 
when didn't they have time to come forward with a notification, say 
in 2007, or 2008 or 2009?

James

At 10:45 AM 12/3/2010, Jukka Manner wrote:
>Dear all,
>
>The authors of draft-ietf-nsis-tunnel have disclosed an IPR that 
>affects the accepted, but not yet published, NSIS document.
>
>Items a) and d) let's us continue with the publication procedure 
>(for item d) we just remove references to the work from the mobility 
>applicability document). Items b) and c) will need considerable work 
>and since the WG is closing, I would like to avoid them.
>
>_______________________________________________
>nsis mailing list
>[email-masked]
>https://www.ietf.org/mailman/listinfo/nsis

---

From: Al Morton <[email-masked]>
Date: Fri, 03 Dec 2010 17:39:23 -0500

Yes,  but it's also important to look at the actual terms:

>Licensing information, comments, notes, or URL for further information:
>
>Any open-source software and development activities: FREE with no 
>royalties. No explicit license with us needed unless developer 
>wishes to have one.
>
>As long as this RFC remains Experimental Track, ANY use of this 
>technology (open source or otherwise) will be free with no royalties 
>for any purpose.
>
>If track changes from EXPERIMENTAL to a standards track (not 
>expected in this RFC): Terms would be FRAND with simple and 
>reasonable annual fee, no per unit royalties.

a) is acceptable to me, the memo is Experimental...
Al

At 05:27 PM 12/3/2010, James M. Polk wrote:
>statement?  This document has been a WG item since June 2006. 
>Exactly when didn't they have time to come forward with a 
>notification, say in 2007, or 2008 or 2009?
>
>James
>
>>(for item d) we just remove references to the work from the 
>>mobility applicability document). Items b) and c) will need 
>>considerable work and since the WG is closing, I would like to avoid them.
>>

---

From: Roland Bless <[email-masked]>
Date: Fri, 03 Dec 2010 23:49:11 +0100

Hi James,

On 03.12.2010 23:27, James M. Polk wrote:
> when didn't they have time to come forward with a notification, say in
> 2007, or 2008 or 2009?

Fully agree, I don't understand this either.
Obviously, the patent application was filed in 2006 already.
Looking at:
http://tools.ietf.org/id/draft-shen-nsis-tunnel-02.txt:
the usual boilerplate says:
   By submitting this Internet-Draft, each author represents that any
   applicable patent or other IPR claims of which he or she is aware
   have been or will be disclosed, and any of which he or she becomes
   aware will be disclosed, in accordance with Section 6 of BCP 79.

??????
see also section 6.2 of RFC 3979, which has not been followed...

Regards,
 Roland

---

From: Fred Baker <[email-masked]>
Date: Fri, 3 Dec 2010 16:50:33 -0600

I'm thinking about how much crap Cisco would get if we submarined a patent application for 4.5 years. We had an instance not so long ago where a lawyer got behind in his inbox (we had declared IPR on the individual submission but hadn't repeated it when it became a working group draft because Legal was buried), and we made the papers.

The disclosure states that this is free to use for open source uses while the protocol remains "experimental". If it moves to standards track, it follows standard FRAND policies. "FRAND" is of course an undefined term. It means that they will charge money; how much money and under what conditions is undefined; in the eyes of the entity charging the money, it will be fair and reasonable.

Frankly, making the IPR statement at this point in time is extortion. If I'm asked to comment in a court trial, my assessment would be that the IPR holder had years and years of opportunity to declare his IPR and didn't. Therefore, he appears to have intentionally held off stating his IPR until there was no other course of action reasonable for the working group than accept his claims, and as a result there is precedent for him to lose the right to assert the IPR.

On Dec 3, 2010, at 4:27 PM, James M. Polk wrote:

> 11 months after the WGLC for this doc the authors submit an IPR statement?  This document has been a WG item since June 2006. Exactly when didn't they have time to come forward with a notification, say in 2007, or 2008 or 2009?
> 
> James
> 
>> The authors of draft-ietf-nsis-tunnel have disclosed an IPR that affects the accepted, but not yet published, NSIS document.
>> 
>> d) Do we drop the document from the WG (authors can still pursue publications through the independent track)?
>> 
>> Items a) and d) let's us continue with the publication procedure (for item d) we just remove references to the work from the mobility applicability document). Items b) and c) will need considerable work and since the WG is closing, I would like to avoid them.
>>

---

From: Fred Baker <[email-masked]>
Date: Fri, 3 Dec 2010 16:51:19 -0600

> a) is acceptable to me, the memo is Experimental...

for the moment...

---

From: Al Morton <[email-masked]>
Date: Fri, 03 Dec 2010 18:06:59 -0500

> > a) is acceptable to me, the memo is Experimental...

I know "it ain't over till it's over".
I read RFC Editor Queue state as IESG.

It would be good to hear from the authors now...

---

From: Lars Eggert <[email-masked]>
Date: Sat, 4 Dec 2010 12:49:39 +0200

Hi,

> I read RFC Editor Queue state as IESG.

I asked that RFC Editor processing of document be put on hold while the WG was deliberating this. This is what the "IESG" state signifies.

(I also asked that draft-ietf-nsis-applicability-mobility-signaling be put on hold, since it's the only ID or RFC that refers to draft-ietf-nsis-tunnel. That reference is Informative.)

Lars

---

From: Jukka Manner <[email-masked]>
Date: Sat, 04 Dec 2010 15:05:45 +0200

Yes, this is very unfortunate for the WG, in particular at this stage of 
the process.

Jukka

-- 
Jukka MJ Manner, Professor, PhD.  Phone:  +358+(0)9+470 22481
Aalto University                  Mobile: +358+(0)50+5112973
Department of Communications      Fax:    +358+(0)9+470 22474
and Networking (Comnet)           Office: G320a (Otakaari 5A)
P.O. Box 13000, FIN-00076 Aalto   E-mail: [email-masked]
Finland                           WWW:    www.comnet.tkk.fi

---

From: Takako Sanda <[email-masked]>
Date: Mon, 06 Dec 2010 15:51:58 +0900

Dear Jukka and all,

I see a) or d) will be feasible from WG process point of view.

However, I'm wondering if WG needs some rounds of processes for the
mobility applicability document in case d) is selected.
As the mobility applicability draft introduce some examples of MIP
tunneling handling based on the tunneling draft. If the reference of the
tunneling draft will be removed from the mobility applicability draft,
all related texts will need to be removed or modified accordingly. As
this is not minor change, the WG may need to repeat reviewing and all
consequent processes.

I would like to hear your opinion.

BR,
Takako

On Fri, 03 Dec 2010 18:45:06 +0200

---

From: Roland Bless <[email-masked]>
Date: Mon, 06 Dec 2010 10:33:10 +0100

Hi,

> since the WG is closing, I would like to avoid them.

When browsing through:
http://www.freepatentsonline.com/y2007/0109966.html
it's not entirely clear to me how QoS NSLP in RFC 5974
is also affected by this. It provides the binding code, which
is one mechanism that the patent claims refer to:

> 2. The method of claim 1, wherein the first binding information of the first binding data object comprises a binding type value indicating a binding type of the end-to-end session.
> 
> 3. The method of claim 1, wherein the second binding information of the second binding data object comprises a binding type value indicating a binding type of the tunnel session.
> 
> 4. The method of claim 2, wherein the binding type value comprises an end-to-end-tunnel binding, indicating a binding between the end-to-end session and the tunnel session.

and so on....

I guess that the WG probably wouldn't have included the binding code
into QoS NSLP if we already had knowledge of the patent application
(BTW: a provisional application was filed on Oct 21, 2005 already).

Furthermore, RFC2764 (RSVP Operation Over IP Tunnels)
http://www.rfc-editor.org/rfc/rfc2746.txt
defines very similar mechanisms and the claims read as
if they can be applied to that RFC, too (thus voiding
most of the claims).
I don't buy the reasoning that RSVP is receiver-oriented
and doesn't support mobility, since most of the claims are
not referring to these restrictions, except maybe claim 25.
Any thoughts on that?

Regards,
 Roland

---

From: "Georgios Karagiannis" <[email-masked]>
Date: Mon, 6 Dec 2010 11:51:42 +0100

Hi Jukka, Hi all

Before, deciding on one of the listed options, I would like to know what the
FRAND policies 
are if the protocol moves to standards track?

Is it not possible to change the description of the IPR disclosure and use
the 
same IETF patent policy as the one used by other companies, e.g., by Cisco?

Best regards,
Georgios

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On 
> Behalf Of Jukka Manner
> Sent: vrijdag 3 december 2010 17:45
> To: nsis
> Subject: Re: [NSIS] IPR Disclosure: The Trustees of Columbia 
> University in the City of New York's Statement about IPR 
> related to draft-ietf-nsis-tunnel-13
> 
> Dear all,
> 
> The authors of draft-ietf-nsis-tunnel have disclosed an IPR 
> that affects the accepted, but not yet published, NSIS document.
> 
> d) Do we drop the document from the WG (authors can still 
> pursue publications through the independent track)?
> 
> Items a) and d) let's us continue with the publication 
> procedure (for item d) we just remove references to the work 
> from the mobility applicability document). Items b) and c) 
> will need considerable work and since the WG is closing, I 
> would like to avoid them.
> 
> > An IPR disclosure that pertains to your Internet-Draft 
> entitled "NSIS 
> > Operation Over IP Tunnels" (draft-ietf-nsis-tunnel) was 
> submitted to 
> > the IETF Secretariat on 2010-12-02 and has been posted on the "IETF 
> > Page of Intellectual Property Rights Disclosures" 
> > (https://datatracker.ietf.org/ipr/1456/). The title of the IPR 
> > disclosure is "The Trustees of Columbia University in the 
> City of New York's Statement about IPR related to 
> draft-ietf-nsis-tunnel-13."
> >
> > The IETF Secretariat
> >
> >

---

From: Jukka Manner <[email-masked]>
Date: Mon, 06 Dec 2010 21:32:24 +0200

Hi Roland, thanks for your detailed analysis. You are right that the QoS 
NSLP would not necessarily included the binding concept had we known 
Columbia had a hidden IPR on it. So, essentially the IPR also affects 
the QoS NSLP. And the issue with RFC 2764 is pretty good, actually - 
interesting how the same stuff gets patented years after publishing it 
the first time. ;)

I would propose to go for item a) but knowing that if people want to 
progress the NSIS protocols towards standards track, we may need to 
re-engineer the designs to counter Columbia's IPR. Or, we may ask them 
to go back to their licensing terms and change them. Either is an issue 
for the future, allowing us to go forward now.

Jukka

---

From: Jukka Manner <[email-masked]>
Date: Mon, 06 Dec 2010 21:35:23 +0200

Hi Georgios,

Sure the WG can _try_ to make Columbia change their policies but we are 
talking about lawer-things and it would only delay us even more.

But, yes, I would also like to know what the "FRAND" terms here are.

cheers,
Jukka

---

From: Roland Bless <[email-masked]>
Date: Mon, 06 Dec 2010 23:57:15 +0100

Hi Jukka,

> interesting how the same stuff gets patented years after publishing it

Not quite. AFAIK it is a patent _application_, but not a valid patent
yet. IMHO, RFC 2746 is a very close match and thus the patent should
not be granted w.r.t. most of its claims.

Regards,
 Roland

---

From: Lars Eggert <[email-masked]>
Date: Tue, 7 Dec 2010 11:35:22 +0200

Hi,

I'm sending this email as an individual participant, not in my role as an AD.

> d) Do we drop the document from the WG (authors can still pursue publications through the independent track)?

my preference as an individual participant is option (d).

Lars

---

From: "James M. Polk" <[email-masked]>
Date: Tue, 07 Dec 2010 15:11:28 -0600

>my preference as an individual participant is option (d).

IMO the easiest answer is for (c) - to ask that CU modify the terms 
of any future standards track version of this document to have the 
same terms as that in the Experimental status.

The most difficult would be (b) - but I believe, at this late stage, 
that's the right alternative if (c) can't be formally worked out.

The next choice is (d), but this will still "get" some implementors 
who didn't read past the "NSIS" part of the doc title/filename to 
read that it didn't come from the NSIS WG, so this choice has pitfalls.

It's hard for me - with a straight face - to go with option (a) 
because of the time involved prior to the IPR disclosure since -00 
(June 2006), especially the time past WGLC (11 months). It's like 
none of the authors paid attention to the NOTE WELL each time they 
presented the ID or looked at the small meeting agenda foldout sheet, 
or signed the blue sheet (or maybe the blue sheets having the NOTE 
WELL in Beijing forced their hand to actually come forward and submit 
the IPR claim?).

James

---

From: Al Morton <[email-masked]>
Date: Tue, 07 Dec 2010 16:36:12 -0500

At 04:11 PM 12/7/2010, James M. Polk wrote:
>...It's hard for me - with a straight face - to go with option (a) 
>(June 2006), especially the time past WGLC (11 months).

I suspected that the terms might have something to do
with the tragically late disclosure when voting for a),
but I'd *still* like to hear a word or two from the authors
on all of this.  Then there will be less need to speculate.

Al

---

From: Jukka Manner <[email-masked]>
Date: Wed, 08 Dec 2010 09:09:52 +0200

Right.

I went over the history and the QoS NSLP introduced the binding concept 
in early 2004, so 2.5 years before the patent application was filed. So, 
the QoS NSLP is not affected and most of the IPR itself is invalid. 
Whether the patent is valid when you apply the same published concept 
and technology when binging tunnel sessions instead of QoS sessions, I 
don't know.

http://tools.ietf.org/html/draft-ietf-nsis-qos-nslp-02

Moreover, the application was filed four months _after_ the document 
describing the binding for tunnels was approved as a WG item.

Since then the first actual technical changes to the spec were done in 
late 2008, two years after the patent application was filed.

Jukka

---

From: "Fu, Xiaoming" <[email-masked]>
Date: Wed, 8 Dec 2010 08:55:20 +0100

I would vote for c).
Xiaoming

On 8 Dec 2010, at 08:10, "Jukka Manner" <[email-masked]> wrote:

> Right.
> 
> I went over the history and the QoS NSLP introduced the binding concept in early 2004, so 2.5 years before the patent application was filed. So, the QoS NSLP is not affected and most of the IPR itself is invalid. Whether the patent is valid when you apply the same published concept and technology when binging tunnel sessions instead of QoS sessions, I don't know.
> 
> Moreover, the application was filed four months _after_ the document describing the binding for tunnels was approved as a WG item.
> 
> Since then the first actual technical changes to the spec were done in late 2008, two years after the patent application was filed.
> 
> Jukka
>

---

From: Roland Bless <[email-masked]>
Date: Wed, 08 Dec 2010 10:20:52 +0100

Hi,

> I would vote for c).

It's not clear to me
> d) Do we drop the document from the WG (authors can still pursue publications through the independent track)?

Jukka said:

---

From: Roland Bless <[email-masked]>
Date: Wed, 08 Dec 2010 10:23:55 +0100

Hi,

[sorry, previous message was cut, I accidentally hit the send button
instead of the edit menu :-)]

> I would vote for c).

It's not clear to me what prevents the Columbia University
from changing terms back later if they are changing the terms
now on our request?

Regards,
 Roland

---

From: Martin Stiemerling <[email-masked]>
Date: Wed, 8 Dec 2010 09:27:02 +0000

[speaking as individual, not as co-chair]

I'm fine with either b) or d) but not with the other choices. 

There is a clear violation of how IPR is handled in the IETF and it is happening very, very, very late. 

 Martin

[email-masked]

NEC Laboratories Europe - Network Research Division
NEC Europe Limited | Registered Office: NEC House, 1 Victoria Road, London W3 6BL | Registered in England 2832014 

> From: [email-masked] [mailto:[email-masked]] On Behalf Of
> Jukka Manner
> Sent: Friday, December 03, 2010 5:45 PM
> To: nsis
> Subject: Re: [NSIS] IPR Disclosure: The Trustees of Columbia University
> in the City of New York's Statement about IPR related to draft-ietf-
> nsis-tunnel-13
> 
> Dear all,
> 
> affects
> and

---

From: Lars Eggert <[email-masked]>
Date: Wed, 8 Dec 2010 11:40:53 +0200

> my preference as an individual participant is option (d).

I should maybe outline my rationale here a bit more.

The nsis-tunnel document is peripheral to the suite of NSIS documents. The only documents that refers to it is applicability-mobility-signaling, and that is an Informative reference; plus applicability-mobility-signaling itself is Informational.

A minor revision to applicability-mobility-signaling could remove that Informative reference and the few sentences of associated text. Or, we could even publish applicability-mobility-signaling as-is, since an Informative reference to an ID is OK. It will not delay publication.

The option I least prefer is "b) (...) redesign the protocol to work around the IPR". The NSIS WG has neither the activity level to see this through, nor has the NSIS protocol suite itself seen deployments to the degree that would warrant investing the energy - NSIS tunneling is at best of minor interest.

We should simply drop the work item and be done with it. The authors can pursue publication on the Independent stream, i.e., directly through the RFC Editor.

Lars

---

From: Roland Bless <[email-masked]>
Date: Wed, 08 Dec 2010 10:23:55 +0100

Hi,

Regards,
 Roland

---

From: Jukka Manner <[email-masked]>
Date: Wed, 08 Dec 2010 13:13:51 +0200

Speaking as an individual (without the co-chair's hat), I agree with 
this view and would support option (d), too.

Jukka

---

From: "Calvin Chu" <[email-masked]>
Date: Wed, 8 Dec 2010 13:17:31 -0500

All,

I've just subscribed to the list so I'm trying to catch up to the
current conversation.

I'm open to modifying the terms, please send me suggestions.  As to
whether Columbia would just modify the terms arbitrarily later, I could
get it into writing if that helps.  

I've been informed there are some questions regarding the specific FRAND
terms in non-open source commercial situations. My thoughts were to set
a simple flat fee for that sole situation.   If this is reasonable, I
can defer to members of this list to suggest what may be fair.  If this
does not sound reasonable, I'll do my best to make things right by this
list members, after all, Columbia neglected to declare on time.  

Best regards,

Calvin Chu
Senior Licensing Officer
Columbia Technology Ventures
http://techventures.columbia.edu
Tel: (212) 851-4140
Twitter: cchu

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of
Roland Bless
Sent: Wednesday, December 08, 2010 4:24 AM
To: Fu, Xiaoming
Cc: Jukka Manner; [email-masked]
Subject: Re: [NSIS] IPR Disclosure: The Trustees of Columbia University
in the City of New York's Statement about IPR related to
draft-ietf-nsis-tunnel-13

Hi,

Regards,
 Roland

---

From: Jukka Manner <[email-masked]>
Date: Wed, 08 Dec 2010 22:27:08 +0200

Hi Calvin, I'm not an expert in how people should or should not disclose 
and phrase ipr statements. I hope other people on this list who are more 
experienced could provide guidance on how to resolve this issue in a 
positive way.

Regards,
Jukka

Finland                           www.netlab.hut.fi/~jmanner/

---

From: Al Morton <[email-masked]>
Date: Wed, 08 Dec 2010 16:00:23 -0500

I'd particularly like to know if the terms mean this:

If the draft is published in Experimental status,
then the IPR is free (forever).

Al

At 03:27 PM 12/8/2010, Jukka Manner wrote:
>Hi Calvin, I'm not an expert in how people should or should not 
>disclose and phrase ipr statements. I hope other people on this list 
>who are more experienced could provide guidance on how to resolve 
>this issue in a positive way.
>
>Regards,
>Jukka
>

---

From: "Calvin Chu" <[email-masked]>
Date: Wed, 8 Dec 2010 16:42:36 -0500

Yes. If it is Experimental Status, it is free, no need or obligation to
notify us.  Unless you want to.  

Calvin Chu
Senior Licensing Officer

-----Original Message-----
From: Al Morton [mailto:[email-masked]] 
Sent: Wednesday, December 08, 2010 4:00 PM
To: Jukka Manner; Calvin Chu
Cc: [email-masked]
Subject: Re: [NSIS] IPR Disclosure: The Trustees of Columbia University

Al

>>Subject: Re: [NSIS] IPR Disclosure: The Trustees of Columbia
University

---

From: "Georgios Karagiannis" <[email-masked]>
Date: Thu, 09 Dec 2010 06:55:32 +0000

Hi Calvin

Regarding the situation that the document becomes a protocol standard,
could you use instead of the FRAND terms, a similar disclosure statement
as the one that is commonly used in the IETF. For example, below you can
see  a CISCO disclosure statement:

http://datatracker.ietf.org/ipr/817/

Best regards,
Georgios

---

From: "Calvin Chu" <[email-masked]>
Date: Fri, 10 Dec 2010 00:26:42 -0500

All,

Is the Cisco style IPR disclosure the preferred format? The patent
reciprocity isn't a good fit for us (as a non-profit) but this spells
out a possible royalty as an option. 

Based on various comments, I'm going to guess that no one here is
objecting to free experimental use, and free open-source use.  

So one point of contention is Columbia's failure to submit this on time.
For this, I can offer my sincere apologies.  I was notified of this
unfortunately late in the game and it's outside of my ability to fix
this point.

The other point of contention is the FRAND terms in the situation it
becomes a protocol standard, and even then, only in the non-open source
case.  

Is the issue: A) The fact that the fee is unknown B) The fact that there
is a fee at all or C) desire to see better conformance of disclosure
such as use of the Cisco style IPR disclosure

Regards,

Calvin Chu
Senior Licensing Officer

-----Original Message-----
From: Georgios Karagiannis [mailto:[email-masked]] 
Sent: Thursday, December 09, 2010 1:56 AM
To: Calvin Chu; Al Morton; Jukka Manner
Cc: [email-masked]
Subject: Re: [NSIS] IPR Disclosure: The Trustees of Columbia University

Hi Calvin

Best regards,
Georgios

---

From: Roland Bless <[email-masked]>
Date: Fri, 10 Dec 2010 09:42:26 +0100

Hi,

> out a possible royalty as an option. 

I agree.

> objecting to free experimental use, and free open-source use.  

Since we have an open implementation that's fine, but IMHO the following
cited text is not 100% clear that this is also guaranteed if the
specification will once change to standards track. So if you could make
it clear that the last point doesn't apply to the open-software and
development activities, it would be better.

>> Any open-source software and development activities: FREE with no royalties. No explicit license with us needed unless developer wishes to have one.
>> 
>> As long as this RFC remains Experimental Track, ANY use of this technology (open source or otherwise) will be free with no royalties for any purpose.
>> 
>> If track changes from EXPERIMENTAL to a standards track (not expected in this RFC): Terms would be FRAND with simple and reasonable annual fee, no per unit royalties.

> unfortunately late in the game and it's outside of my ability to fix

Sure, it's not your fault. The authors failed miserably to follow the
well-known and long established IETF disclosure rules, although they
even confirmed their knowledge in the usual Internet-Draft boilerplate
for every draft version.

> such as use of the Cisco style IPR disclosure

I would say B) and A) in that order :-), i.e.
if you remove any fee, it would cause no problem, but if you keep
the fee, it would be good to say something about it.

Regards,
 Roland

---

From: "Georgios Karagiannis" <[email-masked]>
Date: Fri, 10 Dec 2010 13:17:54 +0100

Hi Calvin

Please see in line! 

> From: [email-masked] [mailto:[email-masked]] On Behalf 
> Of Calvin Chu
> Sent: vrijdag 10 december 2010 6:27
> To: Georgios Karagiannis; Al Morton; Jukka Manner
> Cc: [email-masked]
> University inthe City of New York's Statement about IPR relatedto 

Georgios: Okay!

> objecting to free experimental use, and free open-source use.

Georgios: Agree!
> becomes a protocol standard, and even then, only in the non-open 
> source case.

Georgios: Yes, for the case that the IPR is used in the non-open source
case, instead of asking a fee, you could try to accomplish a better
conformance of disclosure such as use of the Cisco style IPR Disclosure.

> 
> Is the issue: A) The fact that the fee is unknown B) The fact that 
> there is a fee at all or C) desire to see better conformance of 
> disclosure such as use of the Cisco style IPR disclosure

Georgios: Please see above!

Best regards,
Georgios

> University in the City of New York's Statement about IPR related to
> could you use instead of the FRAND terms, a similar disclosure 
> statement as the one that is commonly used in the IETF. For example, 
> below you can see  a CISCO disclosure statement:
> 
> >If the draft is published in Experimental status, then the
> IPR is free
> >(forever).
> >
> >Al
> >
> >>who are more experienced could provide guidance on how to
> resolve this
> >>issue in a positive way.
> >>
> >>Regards,
> >>Jukka
> >>
> >>>From: [email-masked] [mailto:[email-masked]]
> On Behalf
> >Of
> >>>Roland Bless
> >>>It's not clear to me what prevents the Columbia University from 
> >>>changing terms back later if they are changing the terms
> now on our
> >>>request?
> >>>

---

From: "Calvin Chu" <[email-masked]>
Date: Fri, 10 Dec 2010 18:05:55 -0500

See below, and here.

Currently I've made it a priority to review the Cisco style disclosure
with Columbia.  In the meantime, it's my priority to work out to the
satisfaction of the members here to allow this draft to remain.  I am
working on this.

Calvin Chu
Senior Licensing Officer

-----Original Message-----
From: Roland Bless [mailto:[email-masked]] 

Hi,

>development activities, it would be better.

Regardless of track, if it's open source, then it's FREE. 

>> becomes a protocol standard, and even then, only in the non-open
source
>> Is the issue: A) The fact that the fee is unknown B) The fact that
there

>the fee, it would be good to say something about it.

I'm looking into the suggestion on the Cisco style IPR disclosure --
still need about a day or so to get some consensus.  

I was earlier under the impression that this RFC was unlikely to exit
Experimental status so no details were worked out for what that fee may
be.  It would be unacceptable to us for this fee to prohibit legitimate
use, except, at the time I entered the disclosure (as well as now), the
threshold for what would be prohibitive isn't known to me.  The members
of the list would likely know better than me on these matters.  

If it's case (A) above, we can declare a hard upper limit the
uncertainty is removed from the system.  If (A) is unacceptable at any
value, in any case, I'm simultaneously passing around the Cisco style
disclosure.

---

From: "Calvin Chu" <[email-masked]>
Date: Mon, 13 Dec 2010 17:36:59 -0500

I have Columbia's backing to offer a Cisco style declaration of IPR.
This declaration may deprecate/take precedence over what was previously
submitted.  

Those that feel strongly about this may email me offline. 

As mentioned, I'd like to minimize the stepping of toes at this point
with the goal of maintaining the draft where it was.  If this is the
preferred route to do this then I'll plan to resubmit soon.  

Kind regards,

Calvin Chu
Senior Licensing Officer

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of
Calvin Chu
Sent: Friday, December 10, 2010 6:06 PM
To: Roland Bless
Cc: Georgios Karagiannis; [email-masked]; Jukka Manner
Subject: Re: [NSIS] IPR Disclosure: The Trustees of Columbia University
inthe City of New York's Statement about IPRrelated to
draft-ietf-nsis-tunnel-13

See below, and here.

Calvin Chu
Senior Licensing Officer

-----Original Message-----

Hi,

source
there

---

From: Jukka Manner <[email-masked]>
Date: Wed, 15 Dec 2010 12:00:49 +0200

Hi Calvin,

Thanks for working strongly to resolve this. Your proposal sounds good 
to me.

Jukka

---

From: "Georgios Karagiannis" <[email-masked]>
Date: Wed, 15 Dec 2010 11:10:30 +0100

Hi Calvin

Your proposal sounds good to me too!

Best regards,
Georgios

> Sent: woensdag 15 december 2010 11:01
> To: Calvin Chu
> Cc: [email-masked]
> University inthe City of New York's Statement about 
> IPRrelated to draft-ietf-nsis-tunnel-13
> 
> Hi Calvin,
> 
> Thanks for working strongly to resolve this. Your proposal 
> sounds good to me.
> 
> Jukka
> 
> > This declaration may deprecate/take precedence over what was 
> > previously submitted.
> >
> > University inthe City of New York's Statement about IPRrelated to
> >> specification will once change to standards track. So if you could 
> >> make it clear that the last point doesn't apply to the 
> open-software 
> >> and development activities, it would be better.
> >
> >> if you remove any fee, it would cause no problem, but if 
> you keep the 
> >> fee, it would be good to say something about it.
> >
> > Experimental status so no details were worked out for what that fee 
> > may be.  It would be unacceptable to us for this fee to prohibit 
> > legitimate use, except, at the time I entered the 
> disclosure (as well 
> > as now), the threshold for what would be prohibitive isn't known to 
> > me.  The members of the list would likely know better than 
> me on these matters.
> >

---

From: Lars Eggert <[email-masked]>
Date: Wed, 15 Dec 2010 12:03:42 +0100

Hi,

I want to again make very sure that it's clear that I'm sending this email as an individual. My opinion here might be in the rough of the eventual WG consensus, and that will be fine. As an AD, I will process these documents following the WG consensus, once the chairs have declared it.

But I also want to make it clear what my personal opinion is, and why I have reached it.

This is one of the most blatant cases of late IPR declaration that I have seen in during my time on the IESG. The IETF process has been continuously violated by the contributors for apparently at least five years. 

I personally see no need for the WG to spend _any_ time investigating this IPR disclosure and how to deal with it. We should drop the work item and move on. There need to be consequences for IETF process violations of this magnitude. 

The document that the IPR was declared on is at best peripheral to the NSIS specification suite, so dropping the work item will affect no other work items anywhere in the IETF.

Lars (as an individual)

---

From: Fred Baker <[email-masked]>
Date: Wed, 15 Dec 2010 10:08:10 -0800

Agreed. I think an RFC 1988-style IPR declaration is a good outcome.

Thanks Calvin.

On Dec 15, 2010, at 2:00 AM, Jukka Manner wrote:

> Hi Calvin,
> 
> Thanks for working strongly to resolve this. Your proposal sounds good to me.
> 
> Jukka
>

---

From: "Calvin Chu" <[email-masked]>
Date: Wed, 15 Dec 2010 19:38:06 -0500

I'll be resubmitting the IPR disclosure soon.  Furthermore, I'll  
endeavor to stay on top of this duty to disclose ipr  from this point  
forward.

Best Regards,

Sent from my iPhone.

Calvin Chu
Senior Licensing Officer
Columbia Technology Ventures
http://www.stv.columbia.edu
Twitter: cchu

On Dec 15, 2010, at 1:08 PM, "Fred Baker" <[email-masked]> wrote:

>>> previously
>>> Behalf Of

---

From: Fred Baker <[email-masked]>
Date: Wed, 15 Dec 2010 21:35:47 -0800

On Dec 15, 2010, at 4:38 PM, Calvin Chu wrote:

> I'll be resubmitting the IPR disclosure soon.  Furthermore, I'll endeavor to stay on top of this duty to disclose ipr  from this point forward.

Thanks. We've made the mistake ourselves, and it's a pain.

---

From: Jukka Manner <[email-masked]>
Date: Sun, 19 Dec 2010 15:05:38 +0200

Dear all,

Columbia has submitted a new IPR statement on the tunnel work. It can be 
found from:

https://datatracker.ietf.org/ipr/1461/

I would like to propose that we continue with the publication procedure, 
since the statement lets anyone freely use the claimed IPR for 
implementing the accepted, but not yet published, draf-ietf-nsis-tunnel.

I'd like to hear final comments by Tuesday evening (noon GMT on 
Wednesday). If you agree, say so clearly, if you don't, say that, too.

Since the IPR was changed based on list discussion, I'd say our final 
decision can only be either

1) Accept with the new IPR statement
2) Drop the work item.

Regards,
Jukka

---

From: Fred Baker <[email-masked]>
Date: Sun, 19 Dec 2010 06:39:59 -0800

On Dec 19, 2010, at 5:05 AM, Jukka Manner wrote:

> I would like to propose that we continue with the publication procedure, since the statement lets anyone freely use the claimed IPR for implementing the accepted, but not yet published, draf-ietf-nsis-tunnel.

IMHO, the new IPR statement is acceptable.

---

From: Al Morton <[email-masked]>
Date: Sun, 19 Dec 2010 11:14:16 -0500

Calvin,

This text seems sound for the possibility that the document
moves to the Standards Track. But what about the likely
case where this remains Experimental (which is a
non-standards track status)?

>The reasonable non-discriminatory terms are:
>
>If this standard is adopted, Columbia will not assert any patents 
>owned or controlled ...

I think part of your previous disclosure covered the
*publication as Experimental* outcome. If you add that
back in, with more certainty expressed, then I'm with you.

IANAL, nor will I ever BAL,
Al

At 09:39 AM 12/19/2010, Fred Baker wrote:

> > I would like to propose that we continue with the publication 
> procedure, since the statement lets anyone freely use the claimed 
> IPR for implementing the accepted, but not yet published, 
> draf-ietf-nsis-tunnel.
>

---

From: Lars Eggert <[email-masked]>
Date: Mon, 20 Dec 2010 10:58:38 +0200

Hi,

I'd also like to suggest that in the end, there'll be one IPR statement in the disclosure list. It would have been better to update the previous disclosure rather than issue a new one, but that can't be helped now.

But you could retract the original disclosure, and if there are updates to the current one to be made, make them with an update rather than a third new disclosure.

Thanks,
Lars

---

From: Jukka Manner <[email-masked]>
Date: Tue, 28 Dec 2010 20:30:50 +0200

Dear all,

This message starts a Working Group Last Call on the NSIS over Tunnels 
document. Please send your comments on whether to accept the document 
and resend to our AD and for IETF LC, given the recent IPR disclosure.

The WGLC ends on Monday 10.1.2011.

The Columbia IPR statement can be found from:

Please re-state/say explicitly whether your agree or disagree, I'd like 
to record the consensus of the WG in this thread.

Regards,
Jukka, co-chair